Bug 594702 - kvm emulation failed
kvm emulation failed
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-05-21 07:54 EDT by Florian La Roche
Modified: 2011-01-14 10:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-14 10:44:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2010-05-21 07:54:32 EDT
Description of problem:

Starting several kvm guests on a amd-based system sometimes fails with:
kernel: emulation failed (pagetable) rip 45 66 ff 2e 2c



Version-Release number of selected component (if applicable):
kmod-kvm-83-164.el5
kvm-tools-83-164.el5
kvm-83-164.el5




How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Eduardo Habkost 2010-10-01 15:03:28 EDT
More information is needed to investigate this. Especially:

 * Which guest OSes (and their versions) are running when this error happens?
 * What happens to the guests when this error is generated? Does the qemu-kvm process terminate? Does it keep running, but the guest crashes?
 * Some specific operation is required to reproduce the crash? the RIP value shown on the error is very small. Does it happen while booting or rebooting the virtual machine?

Can you provide:
 * /proc/cpuinfo information from the host
 * libvirt XML configuration used to launch the guest (or qemu-kvm command-line)


Sorry for taking so long to reply.
Comment 7 RHEL Product and Program Management 2011-01-11 15:45:18 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2011-01-11 17:51:40 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 9 Eduardo Habkost 2011-01-14 10:44:04 EST
Not enough information to investigate. Closing.

Note You need to log in before you can comment on or make changes to this bug.